Subject: [hrpc] Comments on draft-tenoever-hrpc-association-02

From: S Moonesamy <[email-masked]>
Date: Mon, 08 Jan 2018 15:24:15 -0800

Hi Niels, Gisela,

I have some comments on 
draft-tenoever-hrpc-association-02.  According to the Research Group 
Charter, one of its objectives is to "expose the relation between 
protocols and human rights".  The research questions (Section 3) are 
about internet architecture and whether the internet is an assembly 
or association.  That seems like stretching that objective.

There is the following in Section 5: "The Internet is increasingly 
being used as a platform for protest".  The platforms are usually 
social network services.  The draft describes them as "closed and 
centralized Internet platforms" and argues that they are out of 
scope.  Sometimes, some of those platforms are neutralized as they 
are viewed as causing internal issues.  How will it look if the IETF 
advocated that?

   "the Internet has also played a crucial role by providing a means
    for the fast dissemination of information that was otherwise
    mediated by broadcast media ..."

The internet has also been used to spread "fake news".  It may be 
viewed as a significant problem when that affects the internal 
affairs of a country.

A mailing list (Section 6.1.1) is not a protocol.

What does version control (Section 6.2.2) have to do with protocols?

There is the following in Section 6.4.2: "In order for edge-users to 
connect to the Internet ..."  What is the meaning of "edge-users"?

Regards,
S. Moonesamy

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 23 Jan 2018 10:25:18 +0100

Hi S.,

On Mon, Jan 08, 2018 at 03:24:15PM -0800, S Moonesamy wrote:
> Hi Niels, Gisela,
> 
> I have some comments on draft-tenoever-hrpc-association-02.  According to
> the Research Group Charter, one of its objectives is to "expose the relation
> between protocols and human rights".  The research questions (Section 3) are
> about internet architecture and whether the internet is an assembly or
> association.  That seems like stretching that objective.
> 

Why? The right to freedom of association is a human rights. If the Internet architecture could be understood as an assembly, it should also be protected as such.

> There is the following in Section 5: "The Internet is increasingly being
> used as a platform for protest".  The platforms are usually social network
> services.  The draft describes them as "closed and centralized Internet
> platforms" and argues that they are out of scope.  Sometimes, some of those
> platforms are neutralized as they are viewed as causing internal issues.
> How will it look if the IETF advocated that?

I think there are many more examples, take for instance:

https://en.wikipedia.org/wiki/Protests_against_SOPA_and_PIPA

> The internet has also been used to spread "fake news".  It may be viewed as
> a significant problem when that affects the internal affairs of a country.
>

I am not sure what this has to do with 'fake news'. We're just discussing the distribution of content, not the quality of it.
 
> A mailing list (Section 6.1.1) is not a protocol.

Mailinglists are the topic is quite a few RFCs, and therefore within the purview of this doc. Take for instance RFC6783.

> What does version control (Section 6.2.2) have to do with protocols?

There are several protocols for version control (svn, git, etc).

> There is the following in Section 6.4.2: "In order for edge-users to connect
> to the Internet ..."  What is the meaning of "edge-users"?
> 

Conform RFCRFC3935.

All the best,

Niels

-- 

Niels ten Oever
Head of Digital

Article 19
www.article19.org

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: S Moonesamy <[email-masked]>
Date: Tue, 23 Jan 2018 14:19:50 -0800

Hi Niels,
At 01:25 AM 23-01-2018, Niels ten Oever wrote:
>Why? The right to freedom of association is a human rights. If the 
>Internet architecture could be understood as an assembly, it should 
>also be protected as such.

I'll leave it to the Research Group to see what it wants to do about this.

>https://en.wikipedia.org/wiki/Protests_against_SOPA_and_PIPA

The examples are about proposed laws in the United States.  Are there 
non-US examples?

>I am not sure what this has to do with 'fake news'. We're just 
>discussing the distribution of content, not the quality of it.

It is like saying that: we are only interested in the distribution; 
we are not interested if the quality is "bad".  It is easier to 
"block" the distribution if the quality is beyond a permissible limit.

>Mailinglists are the topic is quite a few RFCs, and therefore within 
>the purview of this doc. Take for instance RFC6783.

Is the document about RFCs or protocols?

>Conform RFCRFC3935.

I didn't notice that the term was used in that RFC.

Regards,
S. Moonesamy

---

From: Fred Baker <[email-masked]>
Date: Tue, 23 Jan 2018 15:21:25 -0800

> On Jan 23, 2018, at 1:25 AM, Niels ten Oever <[email-masked]> wrote:
> 

I'm not sure why the Internet Architecture would be viewed as an assembly of anything that has "human" rights. Fill me in?

The Internet Architecture is a communication medium among a number of systems. Some of those systems are used by people some of the time. Most of them offer a service, and that service might not be to people. For example, DNS offers the service of translating names to addresses. IOT is a collection of sensors, actuators, and other things, which might for example be part of an electrical utility. I might hope that an IOT device periodically has a name translation time out and perform a DNS lookup to refresh its memory. In that context, there is essentially never a human in the loop - one has machines that are performing a service performing it for other machines that are part of a service. One could argue that the *utility* offers a service to its customers, some of which are people, and the employees of the utility are people, but to argue from that that the combination forms an assembly is a Really Big Stretch.

In addition, what I just described is at the highest layer, the application layer. The layers below that - transport, comprising UDP, TCP, QUIC, etc, the network layer, the link layer, and the physical connectivity - NEVER have people in them, and are not services to people. They are services to the applications in question.

So I really seriously can't make sense of the jump from a service architecture for communications among systems to anything that might be named "Human". Humans are users of some parts of the system some of the time, but as a whole the system is not human.

---

From: Niels ten Oever <[email-masked]>
Date: Wed, 24 Jan 2018 11:42:03 +0100

On Tue, Jan 23, 2018 at 02:19:50PM -0800, S Moonesamy wrote:
> > Internet architecture could be understood as an assembly, it should also
> > be protected as such.
> 
> The examples are about proposed laws in the United States.  Are there non-US
> examples?
> 

https://en.wikipedia.org/wiki/Net_neutrality_in_India

> It is like saying that: we are only interested in the distribution; we are
> not interested if the quality is "bad".  It is easier to "block" the
> distribution if the quality is beyond a permissible limit.
> 

Maybe a useful discussion to have, but not within the IETF. It's outside of its mandate and expertise.

> > Mailinglists are the topic is quite a few RFCs, and therefore within the
> > purview of this doc. Take for instance RFC6783.
> 

Internet architecture. So that includes documents influencing and describing the architecture, which includes protocols and RFCs.

Best,

Niels

-- 

Niels ten Oever
Researcher and PhD Candidate
Datactive Research Group
University of Amsterdam

---

From: Niels ten Oever <[email-masked]>
Date: Wed, 24 Jan 2018 13:47:21 +0100

> So I really seriously can't make sense of the jump from a service architecture for communications among systems to anything that might be named "Human". Humans are users of some parts of the system…

Thanks Fred. Newspapers, radio stations, union buildings all have no rights, but they form a vital infrastructure for rightsholders, and therefore are protected. Since the Internet is a vital tool for freedom of association (among other things) we should consider what the implications are.

Best,

Niels

> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc

-- 

Niels ten Oever

---

From: Melinda Shore <[email-masked]>
Date: Wed, 24 Jan 2018 09:49:02 -0900

On 1/24/18 3:47 AM, Niels ten Oever wrote:
> Thanks Fred. Newspapers, radio stations, union buildings all have no
> rights, but they form a vital infrastructure for rightsholders, and
> therefore are protected. Since the Internet is a vital tool for
> freedom of association (among other things) we should consider what
> the implications are.

I don't think anybody is saying otherwise (and I have little
doubt that someone will correct me if I'm wrong), but that the
suggestion that the internet itself is an association.  The
statement that I find the most muddled about this is contained
in the last two sentences of section 7:

   The Internet is made of up interconnected ASes (one would argue that
   this doesn't include IXPs, but most modern IXPs will have an ASN for
   their route server (and possibly a separate ASN for their management
   infrastructure), which jointly form an assembly and an association.
   This assembly and association should be protected.  This means that
   rights and obligations that sterm from this organizational form,
   should also be protected and respected.

I think it would be helpful if the document narrowed the scope of
the discussion of networks and of the internet as an association to
how disruptions in the network can interfere with the right to
associate.  It's a very useful document otherwise.

Melinda

-- 
Software longa, hardware brevis

PGP fingerprint: 795A 714B CD08 F996 AEFE
                 AB36 FE18 57E9 6B9D A293

---

From: Eliot Lear <[email-masked]>
Date: Wed, 24 Jan 2018 20:42:27 +0100

Hi,

> associate.  It's a very useful document otherwise.

We've been around this block at least once already, and perhaps the
issue here is that you are seeking to identify touchpoints in the
infrastructure that are directly related to human rights, and that you
think the AS or ASN is just such a touch point.  If that is the case,
then I would argue that you have skipped a step to explain the
relationship more directly.  But before you go to that effort, I think
it would be helpful to understand why going to that level is necessary. 
We could come up with mechanisms that have nothing to do with ASes and
ASNs and the principles should still be applicable, right?

Also, be careful of your language with filtering.  As I wrote before, an
embezzler at a bank could have a field day with this stuff.  My further
suggestion, by the way, is to invert this to look at how crime interacts
with all of these rights.

Eliot

---

From: S Moonesamy <[email-masked]>
Date: Wed, 24 Jan 2018 12:17:58 -0800

Hi Niels,
>https://en.wikipedia.org/wiki/Net_neutrality_in_India

I read the draft again.  Section 5 is about "literature review".  The 
references provided in response to my question are to two Wikipedia 
articles; the argument made by one of the authors was that there were 
many examples.  In my opinion, the research done by the Research 
Group is somewhat on the low side.

>Internet architecture. So that includes documents influencing and 
>describing the architecture, which includes protocols and RFCs.

What does a mailing list have to do with Internet architecture?  If I 
had to form an opinion from the responses which have been given so 
far, and assuming that the IRTF publication quality is similar to the 
quality of the other streams, I would say that the draft needs much 
more work before it could be considered for publication.

Regards,
S. Moonesamy